/*
 * This File is part of the iowj-project   
 * $Id: Iow40IoTestWhile.java,v 1.1.1.1 2006/01/15 16:47:28 Thomas Wagner Exp $
 * Copyright (C)2005 by Thomas Wagner
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package de.wagner_ibw.test;

import de.wagner_ibw.iow.IowFactory;
import de.wagner_ibw.iow.Iow40;

/**
 * Simple program to show the simpliest way (not the best) to read
 * the Iow40's input pins. This program never ends.
 * 	 
 * @author Thomas Wagner
 */
public class Iow40IoTestWhile {
		
	public static void main(String[] args) {
				
		Iow40IoTestWhile iit = new Iow40IoTestWhile();	
		IowFactory devs = IowFactory.getInstance();
				
		try {
			Iow40 dev40 = devs.getIow40Device();
				
			//dev40.setTimeout(5000);	
							
			long pins = 0;
			while(true) {
				pins = dev40.readIOPorts();
				System.out.println("Pins: "+pins + ", "+ Long.toHexString(pins)+ ", "+ Long.toBinaryString(pins));
				
				int portval0 = dev40.getPort(0).getData();
				int portval1 = dev40.getPort(1).getData();
				int portval2 = dev40.getPort(2).getData();
				int portval3 = dev40.getPort(3).getData();
				
				System.out.print("P3["+Integer.toBinaryString(portval3)+"],");
				System.out.print("P2["+Integer.toBinaryString(portval2)+"],");
				System.out.print("P1["+Integer.toBinaryString(portval1)+"],");
				System.out.println("P0["+Integer.toBinaryString(portval0)+"]");
													
				boolean pressed =  dev40.getPort(0).isBitClear(0);
				System.out.println("Key (P0.0) is pressed? "+pressed+"\n");
				
				//now do anything with this information
			}
		}
		catch(Exception e) {
			e.printStackTrace();
			System.exit(-1);
		}
	}
}

